using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ExternalDataSync
{
    public class UMPP_TASK_ORDER
    {
        /// <summary>
        /// 1
        /// 工厂编码
        /// </summary>
        public string SITE
        {
            get; 
            set;
        } = "1";
        /// <summary>
        /// 2
        /// 工作中心
        /// </summary>
        public string WORK_CENTER
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 3
        /// 订单号
        /// </summary>
        public string ORDER_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 4
        /// 工单号
        /// </summary>
        public string WORK_ORDER_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 5
        /// 派工单号
        /// </summary>
        public string TASK_ORDER_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 6
        /// 产品编码
        /// </summary>
        public string PRO_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 7
        /// 产品名称
        /// </summary>
        public string PRO_NAME
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 8
        /// 工序编码
        /// </summary>
        public string OP_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 9
        /// 工作单元
        /// </summary>
        public string WORK_CELL
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 10
        /// 设备编码
        /// </summary>
        public string EQUIP_CODE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 11
        /// 生产数量
        /// </summary>
        public string QTY
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 12
        /// 计划开始时间
        /// </summary>
        public string PLAN_START_DATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 13
        /// 计划结束时间
        /// </summary>
        public string PLAN_END_DATE
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 14
        /// 批次号
        /// </summary>
        public string BATCH_NO
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 15
        /// 操作标示
        /// </summary>
        public string FLAG
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 16
        /// 序号
        /// </summary>
        public string SN
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 17
        /// 时间戳
        /// </summary>
        public string MARK_TIME
        {
            get;
            set;
        } = "1";
        /// <summary>
        /// 18
        /// 日期
        /// </summary>
        public string MARK_DATE
        {
            get;
            set;
        } = "1";


    }
}
